Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Access Violation when emerge gnome
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Klade
n00b
n00b


Joined: 04 Nov 2004
Posts: 4

PostPosted: Mon Jun 06, 2005 12:30 am    Post subject: Access Violation when emerge gnome Reply with quote

Hello

I get the following error when I try to emerge gnome


Code:
>>> Completed installing gpdf-2.10.0 into /var/tmp/portage/gpdf-2.10.0/image/

----------------------- ACCESS VIOLATION SUMMARY -----------------------
LOG FILE = "/tmp/sandbox-app-text_-_gpdf-2.10.0-12624.log"

open_wr:     /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:     /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:     /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:     /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:     /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:     /var/lib/scrollkeeper/scrollkeeper_docs
-----------------------------------------------------------------------------------


And yes I ran emerge --sync right before this. This is a fresh install using the 64 bit version of gentoo, and I'm doing it as root.

Any help here would be greatly appreciated.
Back to top
View user's profile Send private message
Old School
Apprentice
Apprentice


Joined: 20 Nov 2004
Posts: 243
Location: West Bank of the Coast Fork

PostPosted: Mon Jun 06, 2005 12:50 am    Post subject: Reply with quote

I am having the same problem. It happened while gnome-base/gnome-applets-2.8.2 finished compiling and was installing. I saw multiple groups of ACCESS DENIED scroll by then a long list of open_wr: /var/lib/scrollkeeper/scrollkeeper_docs then a command prompt.
_________________
I am old enough to remember when SNL was funny

The further a society drifts from truth, the more it will hate those who speak it.
George Orwell
Back to top
View user's profile Send private message
Lasker
Guru
Guru


Joined: 17 Jul 2002
Posts: 445

PostPosted: Mon Jun 06, 2005 1:16 am    Post subject: Reply with quote

Same here when trying to update gnome-media-2.10.0 (from 2.8.0).
Back to top
View user's profile Send private message
etrek
n00b
n00b


Joined: 23 Jun 2002
Posts: 58

PostPosted: Mon Jun 06, 2005 2:09 am    Post subject: Not sure if this helps but.. Reply with quote

I shut down gnome and X and re-emerged. Everything seemed to work after that.


E.
Back to top
View user's profile Send private message
Old School
Apprentice
Apprentice


Joined: 20 Nov 2004
Posts: 243
Location: West Bank of the Coast Fork

PostPosted: Mon Jun 06, 2005 2:32 am    Post subject: Reply with quote

Well, I wasn't in an X environment, but I rebooted and still had no luck. I got the same results as in my previous post.
_________________
I am old enough to remember when SNL was funny

The further a society drifts from truth, the more it will hate those who speak it.
George Orwell
Back to top
View user's profile Send private message
etrek
n00b
n00b


Joined: 23 Jun 2002
Posts: 58

PostPosted: Mon Jun 06, 2005 2:43 am    Post subject: Well drat! Reply with quote

I was ssh'd into my Opteron box but had X running on display:0. Stopped xdm and killall X (which wasn't necessary actually)

Things look like they are compiling fine now (even as I type this) and I had almost exactly the same error you did..

Sorry couldn't help..

E.
Back to top
View user's profile Send private message
etrek
n00b
n00b


Joined: 23 Jun 2002
Posts: 58

PostPosted: Mon Jun 06, 2005 3:22 am    Post subject: Arrghh, I spoke too soon. Reply with quote

I just got the same error again.. so I'm still having the problem too...


E.
Back to top
View user's profile Send private message
Old School
Apprentice
Apprentice


Joined: 20 Nov 2004
Posts: 243
Location: West Bank of the Coast Fork

PostPosted: Mon Jun 06, 2005 3:44 am    Post subject: me too Reply with quote

I dunno etrek, but I have been having a heck of a time emerging gnome. This is on a new install, first I had issues with howl, and now this. Hope someone has a solution.
_________________
I am old enough to remember when SNL was funny

The further a society drifts from truth, the more it will hate those who speak it.
George Orwell
Back to top
View user's profile Send private message
effloresce
Tux's lil' helper
Tux's lil' helper


Joined: 24 Jan 2005
Posts: 109

PostPosted: Mon Jun 06, 2005 4:17 am    Post subject: Reply with quote

The problem is with the last line of the ebuild. That line needs to be removed.

Remove this line.
Code:

USE_DESTDIR="1"


I then edited the ebuild.
Code:

# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/file-roller/file-roller-2.10.2.ebuild,v 1.4 2005/05/09 02:50:04 agriffis Exp $

inherit gnome2 eutils

DESCRIPTION="archive manager for GNOME"
HOMEPAGE="http://fileroller.sourceforge.net/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64 ~sparc ~ppc64 ~ia64"
IUSE=""

RDEPEND=">=dev-libs/glib-2.6
   >=x11-libs/gtk+-2.6
   >=gnome-base/libgnome-2.6
   >=gnome-base/libgnomeui-2.6
   >=gnome-base/gnome-vfs-2.9
   >=gnome-base/libglade-2.4
   >=gnome-base/libbonobo-2.6
   >=gnome-base/libbonoboui-2.6
   >=gnome-base/nautilus-2.9
   >=gnome-base/gconf-2"

DEPEND="${RDEPEND}
   dev-util/pkgconfig
   >=dev-util/intltool-0.29
   >=app-text/scrollkeeper-0.3.11"

DOCS="AUTHORS ChangeLog HACKING NEWS README TODO"

src_unpack() {

   unpack ${A}
   cd ${S}

   # Use absolute path to GNU tar since star doesn't have the same
   # options.  On Gentoo, star is /usr/bin/tar, GNU tar is /bin/tar
   epatch /usr/portage/app-arch/file-roller/files/${PN}-2.10.2-use_bin_tar.patch
   # use a local rpm2cpio script to avoid the dep
   epatch /usr/portage/app-arch/file-roller/files/${PN}-2.10-use_fr_rpm2cpio.patch
   # fix unrar #89531
   epatch /usr/portage/app-arch/file-roller/files/${PN}-2.10.2-fix_unrar.patch

}

src_install() {

   gnome2_src_install
   dobin /usr/portage/app-arch/file-roller/files/rpm2cpio-file-roller

}


...and then put it in my portage overlay (Gentoo Wiki) and the emerge was successful.
Back to top
View user's profile Send private message
Lasker
Guru
Guru


Joined: 17 Jul 2002
Posts: 445

PostPosted: Mon Jun 06, 2005 4:55 am    Post subject: Reply with quote

effloresce wrote:
The problem is with the last line of the ebuild. That line needs to be removed.

Remove this line.
Code:

USE_DESTDIR="1"



Fine, though I don't understand why this line suddenly makes problems:
In my case it's an update of gnome-media, all former ebuilds (except the first and oldest one)
have this line, but I never got this error before.
So this "solution" rather looks like fumbling on the symptoms to me...
Back to top
View user's profile Send private message
cappaberra
Tux's lil' helper
Tux's lil' helper


Joined: 24 Aug 2003
Posts: 77
Location: California, USA

PostPosted: Mon Jun 06, 2005 5:42 am    Post subject: Reply with quote

I'm getting this same problem, but haven't found anything that's solved it yet that's "clean"/"proper" ... I'll keep everyone posted on my findings, if any.

-cappaberra
Back to top
View user's profile Send private message
etrek
n00b
n00b


Joined: 23 Jun 2002
Posts: 58

PostPosted: Mon Jun 06, 2005 5:43 am    Post subject: Worked for me.. Reply with quote

Yep for me that seemed to do the trick. Thanks!

I did have to do that on several ebuilds. Also thanks for pointing out the overlay stuff - I've never done that before.


E.
Back to top
View user's profile Send private message
das_leid
n00b
n00b


Joined: 11 Apr 2004
Posts: 63
Location: Bochum / Germany

PostPosted: Mon Jun 06, 2005 6:45 am    Post subject: a particular nasty thing... Reply with quote

Ok guys,

don't hit me too hard but I did a nasty thing.. I went into the /etc/make.conf and inserted a "-sandbox" under features. I know that this is bad.. But I want to compile 2.10 without hassles..

So.. This worked for me with gnome-media and I'll leave it there until the whole 2.10 is emerged..

Cheers,
_________________
emerge vim

OH EVIL !
Back to top
View user's profile Send private message
phuqmnb
n00b
n00b


Joined: 29 Mar 2005
Posts: 68

PostPosted: Mon Jun 06, 2005 12:15 pm    Post subject: Reply with quote

I am having the same issue here too. I thought it was something I was doing, but it looks like that is not the case. Any info on when this is fixed or how would be great. Thanks.

Last edited by phuqmnb on Mon Jun 06, 2005 12:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
Sinneh
n00b
n00b


Joined: 17 May 2004
Posts: 3

PostPosted: Mon Jun 06, 2005 12:33 pm    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-345828-start-0-postdays-0-postorder-asc-highlight-violation.html

there you can find some help by means of disabling sandbox for a particular ebuild
Back to top
View user's profile Send private message
etrek
n00b
n00b


Joined: 23 Jun 2002
Posts: 58

PostPosted: Mon Jun 06, 2005 2:05 pm    Post subject: Sandbox issues.. Reply with quote

So basically the ebuilds have sandbox issues?

During my emerge -u world the ebuild digest trick mentioned earlier did not work for Evolution. I followed Sinneh's link and disabled the sandbox for just that ebuild.

Code:
SANDBOX_DISABLED=1 emerge -u evolution


It emerged fine. I'm now in the process of emerging the rest of the stuff and disabling the sandbox where necessary.


So far I've had access errors with:

    file-roller-2.10.2
    gnome-media-2.10.0
    gpdf-2.10.0
    evolution-2.2.1.1
    gcalctool-5.5.41
Back to top
View user's profile Send private message
effloresce
Tux's lil' helper
Tux's lil' helper


Joined: 24 Jan 2005
Posts: 109

PostPosted: Mon Jun 06, 2005 3:17 pm    Post subject: Reply with quote

Eltrek you will want to do an emerge --sync. Today I had a lot of upgrades for gnome and file-roller was upgraded and fixed the access violation problem I was having with it. Hope it resolves your gnome probs.
Back to top
View user's profile Send private message
WhyteWolf
Apprentice
Apprentice


Joined: 01 May 2002
Posts: 168
Location: Las Vegas

PostPosted: Mon Jun 06, 2005 4:04 pm    Post subject: Reply with quote

effloresce wrote:
Eltrek you will want to do an emerge --sync. Today I had a lot of upgrades for gnome and file-roller was upgraded and fixed the access violation problem I was having with it. Hope it resolves your gnome probs.
I'm still having the access violation error with file_roller tho it was fixed for evalution
last emerge --sync was about 5 min ago
_________________
Thomas Phipps
Linux User #180408 LFS User #1791
Back to top
View user's profile Send private message
Lasker
Guru
Guru


Joined: 17 Jul 2002
Posts: 445

PostPosted: Mon Jun 06, 2005 4:18 pm    Post subject: Reply with quote

Yes, the update of sudo did the trick for me. :-)
I'm still curious whether this would help Klade who
was merging gnome as root...
Back to top
View user's profile Send private message
timseal
n00b
n00b


Joined: 29 Apr 2002
Posts: 40
Location: Philadelphia

PostPosted: Mon Jun 06, 2005 6:16 pm    Post subject: Reply with quote

Some background info:
http://bugday.gentoo.org/sandbox.html
Back to top
View user's profile Send private message
fredor
Tux's lil' helper
Tux's lil' helper


Joined: 13 Oct 2003
Posts: 84
Location: UK

PostPosted: Mon Jun 06, 2005 6:39 pm    Post subject: Reply with quote

I had the problem with 'gnome-media' and 'gcalctool'
Removing 'USE_DESTDIR' from the ebuild and running 'ebuild ........... digest' fixed the problem for me.
Many thanks.
Back to top
View user's profile Send private message
Lasker
Guru
Guru


Joined: 17 Jul 2002
Posts: 445

PostPosted: Mon Jun 06, 2005 7:11 pm    Post subject: Reply with quote

Removing 'USE_DESTDIR' is just a work around (at best) rather than a solution.
I hope you know what removing this line actually does and what the possible
consequences are. I don't. :?
Back to top
View user's profile Send private message
tuxian
l33t
l33t


Joined: 26 Jan 2004
Posts: 766
Location: Austria

PostPosted: Mon Jun 06, 2005 7:21 pm    Post subject: Re: Sandbox issues.. Reply with quote

Many thanks, now I was able to compile evolution ;)

etrek wrote:
So basically the ebuilds have sandbox issues?

During my emerge -u world the ebuild digest trick mentioned earlier did not work for Evolution. I followed Sinneh's link and disabled the sandbox for just that ebuild.

Code:
SANDBOX_DISABLED=1 emerge -u evolution


It emerged fine. I'm now in the process of emerging the rest of the stuff and disabling the sandbox where necessary.


So far I've had access errors with:

    file-roller-2.10.2
    gnome-media-2.10.0
    gpdf-2.10.0
    evolution-2.2.1.1
    gcalctool-5.5.41
Back to top
View user's profile Send private message
STEDevil
Apprentice
Apprentice


Joined: 24 Apr 2003
Posts: 156

PostPosted: Mon Jun 06, 2005 7:22 pm    Post subject: Reply with quote

For the record, these packages failed for me with accessviolations

mail-client/evolution-2.2.1.1
app-arch/file-roller-2.10.0-r1
gnome-extra/gnome-media-2.10.0
gnome-extra/gcalctool-5.5.41
app-text/gpdf-2.10.0

For now I just put them into /etc/portage/profile/package.provided to enable emerge world -vuDp to finish. Hopefully the those ebuilds will be fixed really soon and be released as a revbump so I dont have to spend much time to fix things manually.
Back to top
View user's profile Send private message
STEDevil
Apprentice
Apprentice


Joined: 24 Apr 2003
Posts: 156

PostPosted: Mon Jun 06, 2005 11:56 pm    Post subject: Reply with quote

STEDevil wrote:

For now I just put them into /etc/portage/profile/package.provided to enable emerge world -vuDp to finish. Hopefully the those ebuilds will be fixed really soon and be released as a revbump so I dont have to spend much time to fix things manually.


New ebuilds are out but they are not revbumped. Thus if you eg like me added entiries to package.provied, remove those and then just emerge sync && emerge world -vuDa
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum